Saltar al contenido principal
POST
/
monitor
curl --request POST \ --url https://api.firecrawl.dev/v2/monitor \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "goal": "Notify me when docs pages add, remove, or materially change API behavior", "name": "Docs monitor", "schedule": { "cron": "7-59/15 * * * *", "timezone": "UTC" }, "targets": [ { "crawlOptions": { "limit": 100 }, "type": "crawl", "url": "https://example.com/docs" } ], "webhook": { "events": [ "monitor.page", "monitor.check.completed" ], "url": "https://example.com/webhooks/firecrawl" } } '
{
  "data": {
    "createdAt": "2023-11-07T05:31:56Z",
    "currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "estimatedCreditsPerMonth": 123,
    "goal": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "judgeEnabled": true,
    "lastCheckSummary": {
      "changed": 123,
      "error": 123,
      "new": 123,
      "removed": 123,
      "same": 123,
      "totalPages": 123
    },
    "lastRunAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "nextRunAt": "2023-11-07T05:31:56Z",
    "notification": {
      "email": {
        "enabled": false,
        "includeDiffs": false,
        "recipients": [
          "jsmith@example.com"
        ]
      }
    },
    "retentionDays": 123,
    "schedule": {
      "cron": "<string>",
      "timezone": "<string>"
    },
    "targets": [
      {
        "urls": [
          "<string>"
        ],
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "scrapeOptions": {
          "actions": [
            {
              "milliseconds": 2
            }
          ],
          "blockAds": true,
          "excludeTags": [
            "<string>"
          ],
          "formats": [
            "markdown"
          ],
          "headers": {},
          "includeTags": [
            "<string>"
          ],
          "location": {
            "country": "US",
            "languages": [
              "en-US"
            ]
          },
          "lockdown": false,
          "maxAge": 172800000,
          "minAge": 123,
          "mobile": false,
          "onlyCleanContent": false,
          "onlyMainContent": true,
          "parsers": [
            "pdf"
          ],
          "profile": {
            "name": "<string>",
            "saveChanges": true
          },
          "proxy": "auto",
          "removeBase64Images": true,
          "skipTlsVerification": true,
          "storeInCache": true,
          "timeout": 60000,
          "waitFor": 0
        }
      }
    ],
    "updatedAt": "2023-11-07T05:31:56Z",
    "webhook": {
      "url": "<string>",
      "events": [],
      "headers": {},
      "metadata": {}
    }
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

application/json
name
string
requerido
Maximum string length: 256
schedule
object
requerido

Programación de las verificaciones de supervisión. Proporciona cron o text.

targets
(Scrape target · object | Crawl target · object)[]
requerido
Required array length: 1 - 50 elements
goal
string | null

Objetivo en lenguaje natural que se usa para evaluar si las páginas modificadas son relevantes. Si se proporciona y se omite judgeEnabled, la evaluación se activa automáticamente.

Maximum string length: 2000
judgeEnabled
boolean

Indica si se deben evaluar las páginas modificadas con respecto a goal. Requiere un goal no vacío para ejecutarse.

notification
object
retentionDays
integer
predeterminado:30
Rango requerido: 1 <= x <= 365
webhook
object

Destino del webhook para los eventos de página de supervisión y finalización de verificaciones.

Respuesta

Supervisión creada

data
object
success
boolean